Subject: Re: binary safe?

From: David Brown <[email-masked]>
Date: Fri, 4 Nov 2005 13:27:01 -0800

On Sat, Nov 05, 2005 at 10:22:29AM +1300, Martin Langhoff wrote:

> (That being said, if you have a case where git-cvsimport is doing the
> wrong thing, let me know!)
> 
> > However, since CVS (RCS really) can remember the state of this flag, it
> > does work to  'cvs admin -ko filename' beforehand, and then do the
> > cvsimport without the '-k' option.
> 
> Yes, but a repo you don't control, where people are using keywords,
> means thatyou need to do -kk to kill the keywords or your imported
> files are going to have a horrid amount of noise in them.

Yes, the unpleasantness of CVS.

However, I was unable to do a proper git-cvsimport of the SourceForge 'vim'
archive, with '-k'.  By not giving it '-k' and using cvs admin '-ko' on the
appropriate files, I was able to get the correct results.

May be the interpretation of the option depends on the particular server
being used?

I can investigate later which particular file is causing the problem.

Dave